Subject: Re: [bug-diffutils] bug#20939: make check fails AIX

From: Paul Eggert <[email-masked]>
Date: Tue, 30 Jun 2015 18:58:39 -0700

Pete Lancashire wrote:
> "test-fcntl-h.c", line 73.10: 1506-052 (S) Duplicate case label for value
> 0. Labels must be unique.

Thanks, you should be able to ignore these bugs.  They're only part of the test 
suite, and are not part of diffutils proper.  Strictly speaking the bugs are in 
AIX, actually, as AIX defines values for O_CLOEXEC, O_NOFOLLOW, and O_TTY_INIT 
that are outside the 'int' range, and this does not conform to POSIX.  We have 
developed a workaround for these AIX issues here:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=93ce02b4fa01a3c1c194d91f8fd09e1efe04537c

and this workaround should appear in the next diffutils release.